/* $Header: /usr/people/pcd/Src/RTF/RCS/RichTextP.h,v 1.1 92/11/23 12:58:50 pcd Exp Locker: pcd $
 *
 * from: SCCSID[] = "OSF/Motif: @(#)DrawingAP.h    3.6.1.2 91/03/20";
 */

#ifndef _XcRichTextP_h
#define _XcRichTextP_h

#include "RichText.h"
/*
#include <Xm/XmP.h>
*/
#if ((XmVERSION <= 1) && (XmREVISION <= 1))
#include <Xm/XmP.h>
#else
#include <Xm/PrimitiveP.h>
#endif

#include "xtextview_c.h"

/*  New fields for the RichText widget class record  */

typedef struct
{
   int mumble;   /* No new procedures */
} XcRichTextClassPart;


/* Full class record declaration */

typedef struct _XcRichTextClassRec
{
	CoreClassPart		core_class;
	XmPrimitiveClassPart	primitive_class;
	XcRichTextClassPart     rich_text_class;
} XcRichTextClassRec;

externalref XcRichTextClassRec xcRichTextClassRec;


/* New fields for the RichText widget record */

typedef struct
{
  /* resources */
  String value;
  XmFontList fontList;
  Boolean rtf;
  XtCallbackList motion_verify_callback;
  Dimension       margin_height;   /* margin around widget */
  Dimension       margin_width;

  /* private data */
  void*  flow;
  long mark, point; /* selection */
  long bytes;
  int sx[4], sy[4]; /* selection region */
    /*
     * x[0] = left margin
     * x[3] = right margin
     * x[1],y[0],y[1] = x, base, top of character f
     * x[2],y[2],y[3] = x, base, top of character l
     */

  GC invert; /* selection feedback */
} XcRichTextPart;


/****************************************************************
 *
 * Full instance record declaration
 *
 ****************************************************************/

typedef struct _XcRichTextRec
{
	CorePart		core;
	XmPrimitivePart         primitive;
	XcRichTextPart	        rich_text;
} XcRichTextRec;

#endif /* _XcRichTextP_h */
/* DON'T ADD ANYTHING AFTER THIS #endif */
